<app-base-layout [enableMobileHeader]="true" title="News Articles" [enableDeskTopHeader] ="true" [enableDeskTopHeaderAction]="true"  >
  <div class="container">
    <div class="row news-warpper"> 
      <div *ngFor="let item of newsList" class="col-lg-4">
        <div class="card" >
          <div class="card-img-wrap">
            <img
              class="card-img-top"
              [src]="item.image"
              alt="news"
            />
          </div>
          <div class="card-body">
            <span class="card-title">{{ item.headline }}</span>
            <div class="separator" style="width: 100%; height: 12px"></div>
            <span class="card-text">{{ (item.summary.length > newSummarylength)? (item.summary | slice:0:newSummarylength)+'..':(item.summary) }} <a class="text-primary" (click)="handleNewsClick(item)">Read More</a></span>
            <div class="separator" style="width: 100%; height: 12px"></div>
            <span class="card-date"
              >{{ item.createdAt | date: "hh:mm aa" }}</span
            >
          </div>
        </div>
        <!-- <div class="card">
          <img class="card-img-top" [src]="news?.image" alt="news">
          <div class="card-body">
            <span class="card-title">{{news.headline}}</span>
            <span class="card-text">{{ (news.summary.length > newSummarylength)? (news.summary | slice:0:newSummarylength)+'..':(news.summary) }} <a class="text-primary" (click)="handleNewsClick(news)">Read More</a></span>
            <div class="separator" style="width: 100%; height: 12px"></div>
            <span class="card-date">{{ news.updatedAt | date: "hh:mm aa"}}</span>
          </div>
        </div> -->
      </div>
    </div>
    <div class="mobile-btn-common card" *ngIf="!loading">
      <button class="btn" (click)="loadMore()">Load more</button>
    </div>
    <div *ngIf="loading">loading...</div>
  </div>
</app-base-layout>


